<?php

namespace app\controller\admin;

use app\extra\basic\Base;
use app\middleware\AuthMiddleware;
use LinFly\Annotation\Route\Controller;
use LinFly\Annotation\Route\Route;
use support\Response;
use LinFly\Annotation\Route\Middleware;

#[Controller(prefix: "/api/dashboard"),Middleware(AuthMiddleware::class)]
class Dashboard extends Base
{

    /**
     * @return Response
     */
    #[Route(path: "get",methods: "get")]
    public function getDashData(): Response
    {
        try {
            return successTrans("success.data",[]);
        } catch (\Throwable $throwable) {
            return error($throwable->getMessage());
        }
    }

}